Imports IntraSell_DLL

Public Class ArtikelSelector
    Public txtEAN As TextBox
    Public txtBezeichnung As TextBox
    Public txtArtNr As TextBox
    Public ArtikelComboBox As ComboBox

    Event ArtikelAuswahl(ArtNr As Integer, EAN As String)

    'Private Sub btnUebernehmen_Click(sender As System.Object, e As System.EventArgs)
    '    Try
    '        Dim row = Nothing

    '        If Me.dgArtikel.SelectedRows.Count > 0 Then
    '            row = Me.dgArtikel.SelectedRows(0)
    '        ElseIf Me.dgArtikel.SelectedCells.Count > 0 Then
    '            Dim cell = Me.dgArtikel.SelectedCells(0)
    '            row = dgArtikel.Rows(cell.RowIndex)
    '        End If

    '        If Not row Is Nothing Then
    '            If Not txtArtNr Is Nothing Then
    '                txtArtNr.Text = row.Cells(0).Value
    '            End If

    '            If Not txtEAN Is Nothing Then
    '                txtEAN.Text = row.Cells(1).Value
    '            End If

    '            If Not txtBezeichnung Is Nothing Then
    '                txtBezeichnung.Text = row.Cells(2).Value
    '            End If

    '            If Not ArtikelComboBox Is Nothing Then
    '                ArtikelComboBox.SelectedValue = row.Cells(0).Value
    '            End If
    '        End If
    '        Me.Close()

    '    Catch ex As Exception
    '        HandleAppError(ex)
    '    End Try
    'End Sub
    Public Sub SucheNach(txtSuche As String)
        If txtSuche <> "???" Then
            Me.ArtikelListeControl1.txtSuche.Text = txtSuche
        End If
        Me.ArtikelListeControl1.FilterNow()
    End Sub

    Private Sub ArtikelListeControl1_ArtikelUebernehmen(ArtNr As Integer, EAN As String, Bezeichnung As String) Handles ArtikelListeControl1.ArtikelUebernehmen
        Try

            If txtArtNr IsNot Nothing Then
                txtArtNr.Text = ArtNr
            End If

            If txtEAN IsNot Nothing Then
                txtEAN.Text = EAN
            End If

            If txtBezeichnung IsNot Nothing Then
                txtBezeichnung.Text = Bezeichnung
            End If

            If ArtikelComboBox IsNot Nothing Then
                ArtikelComboBox.SelectedValue = ArtNr ' Bezeichnung
            End If
            RaiseEvent ArtikelAuswahl(ArtNr, EAN)

            Close()

        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub
End Class